
/*------------------------------------------------------------------------------------------
posX(clic)  &  posY(clic)

Recupere les coordonnées du repere de la page web du point cliqué sur l'image 
------------------------------------------------------------------------------------------*/

function imgX(clic)
{
	var gauche = 0;
	if (clic.offsetParent) {
		while (clic.offsetParent) {
			gauche += clic.offsetLeft;
			clic = clic.offsetParent;
		}
	}
	else if (clic.x) gauche += clic.x;
	return gauche;
}


function imgY(clic)
{
	var haut = 0;
	if (clic.offsetParent) {
		while (clic.offsetParent) {
			haut += clic.offsetTop
			clic = clic.offsetParent;
		}
	}
	else if (clic.y) haut += clic.y;
	return haut;
}


/*------------------------------------------------------------------------------------------
planClic(event)

renvoie les coordonnées du pixel cliqué gauche (dans le repere de l'image)
------------------------------------------------------------------------------------------*/

function planClic (event,imgColorX,imgColorY,ratio,xCaseMin,yCaseMin)
{
	//if (!event)var event = window.event;
	var targ;
	if      (event.target)     targ = event.target;
	else if (event.srcElement) targ = event.srcElement;
	if (targ.nodeType == 3)    targ = targ.parentNode;
	
	if (!event) var event = window.event;
	if (event.pageX || event.pageY) {
		mousex = event.pageX;
		mousey = event.pageY;
	} else if (event.clientX || event.clientY)
	{
		mousex = event.clientX + document.body.scrollLeft;
		mousey = event.clientY + document.body.scrollTop;
	}
	
	// coordonnees de la souris dans l'image de la carte
	var mouseMapX = mousex - imgX(targ);
	var mouseMapY = mousey - imgY(targ);
	
	//utiliser round() si carte BDD plus grande que carte affichée
	x = Math.floor( (mouseMapX - imgColorX) / ratio ) + xCaseMin; 
	y = Math.floor( (mouseMapY - imgColorY) / ratio ) + yCaseMin;
	
	//alert('Clic minicarte : ('+x+', '+y+')');
	getGrounds(true, x,y);
}